Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeLine Class Reference

`#include <deLine.hpp>`

Inheritance diagram for IdeLine:

[legend]
List of all members.

## Public Member Functions
virtual long | Release ()=0
virtual void | GetPointOnLine (deDouble Fraction, deVec3d &point)=0
virtual void | GetTangentAtPoint (deDouble Fraction, deVec3d &point)=0
virtual long | GetLength ()=0
virtual long | GetNumCVs ()=0
virtual void | GetCVList (deVec3d buffer[])=0
virtual deVec3d | GetCV (long num)=0
virtual void | SetCV (long num, deVec3d &CV)=0
virtual void | SetCVList (long num, deVec3d CVList[])=0
virtual void | AddCV (deVec3d &point)=0
virtual IdeLine * | Copy ()=0
## Protected Member Functions
virtual | ~IdeLine ()

## Constructor & Destructor Documentation

virtual IdeLine::~IdeLine | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual void IdeLine::AddCV | ( | deVec3d & | point | ) | `[pure virtual]`

| Implemented in deLine.

virtual IdeLine* IdeLine::Copy | ( |  | ) | `[pure virtual]`

| Implemented in deLine.

virtual deVec3d IdeLine::GetCV | ( | long | num | ) | `[pure virtual]`

| Implemented in deLine.

virtual void IdeLine::GetCVList | ( | deVec3d | buffer[] | ) | `[pure virtual]`

| Implemented in deLine.

virtual long IdeLine::GetLength | ( |  | ) | `[pure virtual]`

| Implemented in deLine.

virtual long IdeLine::GetNumCVs | ( |  | ) | `[pure virtual]`

| Implemented in deLine.

virtual void IdeLine::GetPointOnLine | ( | deDouble | Fraction,
|  | deVec3d & | point
| ) | `[pure virtual]`

| Implemented in deLine.

virtual void IdeLine::GetTangentAtPoint | ( | deDouble | Fraction,
|  | deVec3d & | point
| ) | `[pure virtual]`

| Implemented in deLine.

virtual long IdeLine::Release | ( |  | ) | `[pure virtual]`

| Implemented in deLine.

virtual void IdeLine::SetCV | ( | long | num,
|  | deVec3d & | CV
| ) | `[pure virtual]`

| Implemented in deLine.

virtual void IdeLine::SetCVList | ( | long | num,
|  | deVec3d | CVList[]
| ) | `[pure virtual]`

| Implemented in deLine.

The documentation for this class was generated from the following file:

- deLine.hpp